Skip to content

Update dynamic fee

Request

Security
oauth2(Required scopes: loan:fees.update) or bearerAuth or apiKeyHeader
Path
personIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

loanIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

The unique identifier of the Loan we wish to retrieve. Can be Peach or lender's external identifier.

loanFeeIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

The loan fee identifier.

Query
syncboolean

Make the process synchronous. Only relevant for originalAmount updates. Updating this value will trigger a replay.

Default:false
Bodyapplication/jsonrequired
caseIdstring

An identifier for an existing case.

customDisplayNamestring or null

A custom description of the fee. If provided, this value will be displayed in Peach UI/App and Statements (or can be used by lender in their App). If the value is not provided, the Peach UI/App and Statements logic will use displayName attribute. To remind, the displayName is populated from the fee type configuration object.

externalIdstring or null

The lender's identifier for the fee.

originalAmountnumber

The updated amount of the dynamic fee. Only applies to dynamic fees. Only applicable if dynamic fee type capLogic.annualAmountCaps.capAction = adjustAmount and capLogic.annualAmountCaps.type in [annualPercentageOfCreditLimitCap].

PUT
/people/{personId}/loans/{loanId}/fees/{loanFeeId}
curl -i -X PUT \
  'https://sandboxapi.peach.finance/api/people/{personId}/loans/{loanId}/fees/{loanFeeId}?sync=false' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "caseId": "string",
    "customDisplayName": "string",
    "externalId": "string",
    "originalAmount": 0
  }'

Responses

Updated.

Response
No content